## trisquel-gfxboot-theme 3.0

=== src/Makefile ===
ifneq ($(BINDIR),)
BINDIR      := $(BINDIR)/
else
BINDIR      := $(dir $(firstword $(wildcard /usr/bin/mkbootmsg) $(wildcard ../../mkbootmsg)))
endif
ifneq ($(PRIVBINDIR),)
PRIVBINDIR  := $(PRIVBINDIR)/
else
PRIVBINDIR  := $(dir $(firstword $(wildcard /usr/share/gfxboot/bin/keymapchars) $(wildcard ../../keymapchars)))
endif

MKBOOTMSG    = $(BINDIR)mkbootmsg
KEYMAPCHARS  = $(PRIVBINDIR)keymapchars
BFLAGS       = -O -v -L ../..
INCLUDES     = $(wildcard *.inc)
# Filter out Arabic, Indic languages, and Thai, which we cannot render, and
# Dzongkha and Mongolian, which ought to be rendered vertically.
# gfxboot has no bidirectional text support yet
# (https://bugs.launchpad.net/ubuntu/+source/gfxboot/+bug/212491) so
# right-to-left languages (Arabic and Hebrew) won't work.
TRANSLATIONS = $(addsuffix .tr,en $(filter-out ar bn dz gu he hi km ml mn ne pa ta th, $(notdir $(basename $(wildcard po/*.po)))))

DEFAULT_LANG = en

PIC_COMMON   = back.jpg

FILES_CORE   = init

INST_EXT     = langlist $(TRANSLATIONS) 16x16.fnt $(PIC_COMMON)

FILES_INST   = $(FILES_CORE) $(INST_EXT)

FILES_BOOT   = $(FILES_CORE) langlist $(TRANSLATIONS) 16x16.fnt \
	       $(PIC_COMMON)

FILES_BOOT_EN = $(FILES_CORE) pt_PT.tr fr.tr zh_CN.tr es.tr gl.tr eu.tr ca.tr en.tr lang langlist 16x16.fnt $(PIC_COMMON)


ifdef DEFAULT_LANG
FILES_INST += lang
FILES_BOOT += lang
FILES_BOOT_EN += lang $(DEFAULT_LANG).tr
endif

.PHONY: all themes font clean po

all: themes

boot install: po
	mkdir -p $@

po:
	make -C po

themes: bootdir installdir

bootdir: boot.config boot $(INCLUDES)
	@cp -a po/*.tr boot
	@for i in $(FILES_BOOT) ; do [ -f $$i ] && cp $$i boot ; done ; true
	$(MKBOOTMSG) $(BFLAGS) -l boot/log -c $< boot/init
	@echo en >boot/lang
	@cd boot && echo $(FILES_BOOT_EN) | sed -e "s/ /\n/g" | cpio --quiet -o >message

installdir: install.config install $(INCLUDES)
	@cp -a po/*.tr install
	@for i in $(FILES_INST) ; do [ -f $$i ] && cp $$i install ; done ; true
	$(MKBOOTMSG) $(BFLAGS) -l install/log -c $< install/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >install/lang
endif
	@cd install && echo $(FILES_CORE) | sed -e "s/ /\n/g" | cpio --quiet -o >bootlogo
	@tar -C install -czf install/bootlogo.tar.gz bootlogo $(INST_EXT)

font:
	@if [ -z "$(DI_PATH)" ]; then echo "Please set DI_PATH to an unpacked debian-installer source tree" >&2; exit 1; fi
	cat po/*.po >tmp.txt
	cat $(DI_PATH)/build/boot/x86/po/*.po >>tmp.txt
	mkblfont -v -l 18 -p /usr/share/fonts/X11/misc \
	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
	`$(KEYMAPCHARS) keytables.inc` \
	-t tmp.txt \
	-t install/log -t boot/log \
	-t langlist -t langnames.inc \
	-f unifont:prop=2:space_width=4 \
	16x16.fnt >16x16.fnt.log
	rm -f tmp.txt

clean:
	make -C po clean
	rm -f bootdir installdir *~ *.log
	rm -rf boot install

=== debian/changelog ===
trisquel-gfxboot-theme (3.0) dwyn; urgency=low

  * updated for dwyn

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Thu, 10 Sep 2009 03:33:14 +0200

trisquel-gfxboot-theme-blue (2.2) robur; urgency=low

  * English as default

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Tue, 04 Aug 2009 16:37:49 +0000

trisquel-gfxboot-theme-blue (2.1) robur; urgency=low

  * Ported from dpkg -b

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Mon, 11 May 2009 11:56:59 +0200

=== debian/control ===
Source: trisquel-gfxboot-theme
Section: trisquel
Priority: optional
Maintainer: Rubén Rodríguez <ruben@trisquel.info>
Build-Depends-Indep: debhelper
Standards-Version: 3.5.9.0

Package: trisquel-gfxboot-theme
Architecture: all
Priority: optional
Provides: trisquel-gfxboot-theme
Replaces: trisquel-gfxboot-theme
Depends: grub-gfxboot
Description: Trisquel gfxboot (grub) theme in blue.
 A theme for the grub-gfxboot bootloader.
 .
